/**
 * Admin roles helper
 *
 * @author Pierre Hubert
 */

import { serverRequest } from "./APIHelper";

export interface AdminRole {
	id: string;
	name: string;
	description: string;
}

let RolesList: AdminRole[] = [];

export class AdminRolesHelper {
	/**
	 * Load the list of roles.
	 *
	 * @throws In case of failure
	 */
	static async LoadRolesList() {
		RolesList = await serverRequest("roles/list");
	}
}
